> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skinloop.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a saved wallet without changing existing payouts

> First-party dashboard endpoint. Requires owner or admin membership and bearer authentication.



## OpenAPI

````yaml /openapi.yaml delete /v1/dashboard/payout-wallets/{walletId}
openapi: 3.1.0
info:
  title: Skinloop API
  version: 1.1.0-draft
  description: |
    Public contract for Skinloop merchant payments, hosted checkout status,
    merchant dashboard reads, and merchant webhooks. Skinloop never exposes
    credentials, private identifiers, trade URLs, or client tokens.
servers:
  - url: https://api.skinloop.io
    description: Production
security: []
tags:
  - name: Account
  - name: Payments
  - name: Checkout
  - name: Reporting
  - name: Dashboard
paths:
  /v1/dashboard/payout-wallets/{walletId}:
    delete:
      tags:
        - Dashboard
      summary: Remove a saved wallet without changing existing payouts
      description: >-
        First-party dashboard endpoint. Requires owner or admin membership and
        bearer authentication.
      operationId: removeMerchantPayoutWallet
      parameters:
        - in: path
          name: walletId
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Wallet removed
          content:
            application/json:
              schema:
                type: object
                properties:
                  removed:
                    type: boolean
                    const: true
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          description: Owner or admin membership required
        '404':
          description: Saved wallet not found for this merchant
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
      security:
        - clerkBearer: []
components:
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Authentication or signature verification failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServiceUnavailable:
      description: Checkout service is not configured or unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      additionalProperties: false
      required:
        - error
      properties:
        error:
          type: object
          additionalProperties: false
          required:
            - code
            - message
            - request_id
          properties:
            code:
              type: string
            message:
              type: string
            request_id:
              type: string
  securitySchemes:
    clerkBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Clerk session token for the merchant dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.